Skip to main content
GET
Find a Pod by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

podId
string
required

ID of Pod to return.

Query Parameters

includeMachine
boolean
default:false

Include information about the machine the Pod is running on.

Example:

true

includeNetworkVolume
boolean
default:false

Include information about the network volume attached to the returned Pod, if any.

Example:

true

includeSavingsPlans
boolean
default:false

Include information about the savings plans applied to the Pod.

Example:

true

includeTemplate
boolean
default:false

Include information about the template the Pod uses, if any.

Example:

true

includeWorkers
boolean
default:false

Set to true to also list Pods which are Serverless workers.

Example:

true

Response

Successful operation.

adjustedCostPerHr
number

The effective cost in Runpod credits per hour of running a Pod, adjusted by active Savings Plans.

Example:

0.69

aiApiId
string

Synonym for endpointId (legacy name).

Example:

null

consumerUserId
string

A unique string identifying the Runpod user who rents a Pod.

Example:

"user_2PyTJrLzeuwfZilRZ7JhCQDuSqo"

containerDiskInGb
integer

The amount of disk space, in gigabytes (GB), to allocate on the container disk for a Pod. The data on the container disk is wiped when the Pod restarts. To persist data across Pod restarts, set volumeInGb to configure the Pod network volume.

Example:

50

containerRegistryAuthId
string

If a Pod is created with a container registry auth, the unique string identifying that container registry auth.

Example:

"clzdaifot0001l90809257ynb"

costPerHr
number<currency>

The cost in Runpod credits per hour of running a Pod. Note that the actual cost may be lower if Savings Plans are applied.

Example:

"0.74"

cpuFlavorId
string

If the Pod is a CPU Pod, the unique string identifying the CPU flavor the Pod is running on.

Example:

"cpu3c"

desiredStatus
enum<string>

The current expected status of a Pod.

Available options:
RUNNING,
EXITED,
TERMINATED
dockerEntrypoint
string[]

If specified, overrides the ENTRYPOINT for the Docker image run on the created Pod. If [], uses the ENTRYPOINT defined in the image.

dockerStartCmd
string[]

If specified, overrides the start CMD for the Docker image run on the created Pod. If [], uses the start CMD defined in the image.

endpointId
string

If the Pod is a Serverless worker, a unique string identifying the associated endpoint.

Example:

null

env
object
Example:
gpu
object
id
string

A unique string identifying a Pod.

Example:

"xedezhzb9la3ye"

image
string

The image tag for the container run on a Pod.

Example:

"runpod/pytorch:2.1.0-py3.10-cuda11.8.0-devel-ubuntu22.04"

interruptible
boolean

Describes how a Pod is rented. An interruptible Pod can be rented at a lower cost but can be stopped at any time to free up resources for another Pod. A reserved Pod is rented at a higher cost but runs until it exits or is manually stopped.

Example:

false

lastStartedAt
string

The UTC timestamp when a Pod was last started.

Example:

"2024-07-12T19:14:40.144Z"

lastStatusChange
string

A string describing the last lifecycle event on a Pod.

Example:

"Rented by User: Fri Jul 12 2024 15:14:40 GMT-0400 (Eastern Daylight Time)"

locked
boolean

Set to true to lock a Pod. Locking a Pod disables stopping or resetting the Pod.

Example:

false

machine
object

Information about the machine a Pod is running on (see Machine).

machineId
string

A unique string identifying the host machine a Pod is running on.

Example:

"s194cr8pls2z"

memoryInGb
number

The amount of RAM, in gigabytes (GB), attached to a Pod.

Example:

62

name
string

A user-defined name for the created Pod. The name does not need to be unique.

Maximum string length: 191
networkVolume
object

If a network volume is attached to a Pod, information about the network volume (see network volume schema).

portMappings
object | null

A mapping of internal ports to public ports on a Pod. For example, { "22": 10341 } means that port 22 on the Pod is mapped to port 10341 and is publicly accessible at [public ip]:10341. If the Pod is still initializing, this mapping is not yet determined and will be empty.

Example:
ports
string[]

A list of ports exposed on a Pod. Each port is formatted as [port number]/[protocol]. Protocol can be either http or tcp.

Example:
publicIp
string<ipv4> | null

The public IP address of a Pod. If the Pod is still initializing, this IP is not yet determined and will be empty.

Example:

"100.65.0.119"

savingsPlans
object[]

The list of active Savings Plans applied to a Pod (see Savings Plans). If none are applied, the list is empty.

slsVersion
integer

If the Pod is a Serverless worker, the version of the associated endpoint (see Endpoint Version).

Example:

0

templateId
string

If a Pod is created with a template, the unique string identifying that template.

Example:

null

vcpuCount
number

The number of virtual CPUs attached to a Pod.

Example:

24

volumeEncrypted
boolean

Set to true if the local network volume of a Pod is encrypted. Can only be set when creating a Pod.

Example:

false

volumeInGb
integer

The amount of disk space, in gigabytes (GB), to allocate on the Pod volume for a Pod. The data on the Pod volume is persisted across Pod restarts. To persist data so that future Pods can access it, create a network volume and set networkVolumeId to attach it to the Pod.

Example:

20

volumeMountPath
string

If either a Pod volume or a network volume is attached to a Pod, the absolute path where the network volume is mounted in the filesystem.

Example:

"/workspace"